Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pokersource.eval
Class JokerEval

    java.lang.Object
      org.pokersource.eval.JokerEval

    public class JokerEval

extends java.lang.Object

Author:
  Michael Maurer <mjmaurer@yahoo.com>

Constructor Summary
`private` | `JokerEval()`

Method Summary
`static long` | `EvalHigh(int[] ranks, int[] suits)` Evaluate a joker deck poker hand for high.
`static long` | `EvalLow(int[] ranks, int[] suits)` Evaluate a joker deck poker hand for low (no qualifier).
`static long` | `EvalLow8(int[] ranks, int[] suits)` Evaluate a joker deck poker hand for low (8 qualifier).
`static void` | `main(java.lang.String[] args)` A simple demonstration of JokerEval methods.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JokerEval

    private JokerEval()

Method Detail

### EvalHigh

    public static long EvalHigh(int[] ranks,
                                int[] suits)

  Evaluate a joker deck poker hand for high.

  Parameters:
    `ranks` - ranks[i] is rank of ith card
    `suits` - suits[i] is suit of ith card
  Returns:
    integer code denoting hand value (higher beats lower)

### EvalLow

    public static long EvalLow(int[] ranks,
                               int[] suits)

  Evaluate a joker deck poker hand for low (no qualifier).

  Parameters:
    `ranks` - ranks[i] is rank of ith card
    `suits` - suits[i] is suit of ith card
  Returns:
    integer code denoting hand value (higher beats lower)

### EvalLow8

    public static long EvalLow8(int[] ranks,
                                int[] suits)

  Evaluate a joker deck poker hand for low (8 qualifier).

  Parameters:
    `ranks` - ranks[i] is rank of ith card
    `suits` - suits[i] is suit of ith card
  Returns:
    integer code denoting hand value (higher beats lower)

### main

    public static void main(java.lang.String[] args)

  A simple demonstration of JokerEval methods.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD